var GlobalCommon = function() {

	var ConfigStorageKey = Config.getConfigStorageKey();
	var CurrentUser = new Object();
	CurrentUser.userId = null;

	var getCurrentUser = function() {
		var userId = plus.storage.getItem(ConfigStorageKey.LOGINUSER);
		if(userId != null && userId != '') {
			//不解密
			CurrentUser.userId = userId;
		}
		return CurrentUser;
	};

	var setCurrentUser = function(loginUserId) {
		if(loginUserId != null && loginUserId != '') {
			//加密存储
			loginUserId = GlobalUtil.paramEncryption(loginUserId);
			CurrentUser.userId = loginUserId;
			plus.storage.setItem(ConfigStorageKey.LOGINUSER, loginUserId);
		}
	};

	var removeCurrentUser = function() {
		plus.storage.removeItem(ConfigStorageKey.LOGINUSER);
		plus.storage.removeItem(ConfigStorageKey.AUTOLOGIN);
		plus.storage.removeItem(ConfigStorageKey.LOGIN_USER);
		plus.storage.removeItem(ConfigStorageKey.LOGIN_PW);
	};

	var headerTime = function() {
		var now = new Date();
		var year = now.getFullYear();
		var month = now.getMonth() + 1;
		var ddate = now.getDate();
		var hour = now.getHours();
		var minute = now.getMinutes();
		var second = now.getSeconds();
		if(month < 10) {
			month = "0" + month;
		}
		if(ddate < 10) {
			ddate = "0" + ddate;
		}
		if(hour < 10) {
			hour = "0" + hour;
		}
		if(minute < 10) {
			minute = "0" + minute;
		}
		if(second < 10) {
			second = "0" + second;
		}
		return year + "-" + month + "-" + ddate + " " + hour + ":" + minute + ":" + second;
	};

	var headerSign = function(apiUrl, timeStrip) {
		var apiKey = Config.getConfigStorageKey().HEADER_KEY;
		var serverSign = "apiUrl=" + apiUrl + "&apiKey=" + apiKey + "&timeStrip=" + timeStrip;
		//hex_sha1
		serverSign = CryptoJS.SHA1(serverSign);
		return serverSign + "";
	};
	
 function _w_table_rowspan(_w_table_id, _w_table_colnum) {
 	_w_table_firsttd = "";
 	_w_table_currenttd = "";
 	_w_table_SpanNum = 0;
 	_w_table_Obj = $(_w_table_id + " tr td:nth-child(" + _w_table_colnum + ")");
 	_w_table_Obj.each(function(i) {
 		if(i == 0) {
 			_w_table_firsttd = $(this);
 			_w_table_SpanNum = 1;
 		} else {
 			_w_table_currenttd = $(this);
 			if(_w_table_firsttd.text() == _w_table_currenttd.text()) {
 				_w_table_SpanNum++;
 				_w_table_currenttd.hide(); //remove(); 
 				_w_table_firsttd.attr("rowSpan", _w_table_SpanNum);
 			} else {
 				_w_table_firsttd = $(this);
 				_w_table_SpanNum = 1;
 			}
 		}
 	});
 }
//	function getBase64Image(img) { 
//      var canvas = document.createElement("canvas"); 
//      var width = img.width; 
//      var height = img.height; 
//      // calculate the width and height, constraining the proportions 
//      if (width > height) { 
//          if (width > 100) { 
//              height = Math.round(height *= 100 / width); 
//              width = 100; 
//          } 
//      } else { 
//          if (height > 100) { 
//              width = Math.round(width *= 100 / height); 
//              height = 100; 
//          } 
//      } 
//      canvas.width = width;   /*设置新的图片的宽度*/ 
//      canvas.height = height; /*设置新的图片的长度*/ 
//      var ctx = canvas.getContext("2d"); 
//      ctx.drawImage(img, 0, 0, width, height); /*绘图*/ 
//      var dataURL = canvas.toDataURL("image/png", 0.8); 
//      return dataURL.replace("data:image/png;base64,", ""); 
//  }  

	return {
		init: function() {
			//统一设置右滑关闭
//			mui.init({
//				swipeBack: true
//			});
			//jquery ajaxset
			jQuery.ajaxSetup({
				cache: false,
				beforeSend: function(request) {
					var urlID = Math.floor(Math.random() * 999 + 1);
					var reType = this.type;
					console.log("[dd-debug]# API-" + urlID + ":URL   # : " + this.url);
					console.log("[dd-debug]# API-" + urlID + ":HEADER# : " + JSON.stringify(this.headers));
					if(reType == "POST") {
						console.log("[dd-debug]# API-" + urlID + ":DATA  # : " + JSON.stringify(this.data));
					}
				}
			});
			//刷新按钮
			mui('body').on('tap', '.dd-webview-refresh', function(e) { // 标签classname
				plus.webview.currentWebview().reload();
			});
		},
		setCurrentUser: function(n) {
			return setCurrentUser(n);
		},
		getCurrentUser: function() {
			return getCurrentUser();
		},
		headerTime: function() {
			return headerTime();
		},
		headerSign: function(apiUrl, timeStrip) {
			return headerSign(apiUrl, timeStrip);
		},
		removeCurrentUser: function() {
			removeCurrentUser();
		},
		_w_table_rowspan: function(_w_table_id, _w_table_colnum) {
			_w_table_rowspan(_w_table_id, _w_table_colnum);
		},
		getImage: function () {
			getImage();
		},
		galleryImg: function() {
			galleryImg();
		},
		uploadHead: function(imgPath) {
			uploadHead(imgPath);
		},
		getBase64Image: function(img) {
			getBase64Image(img);
		}
	};

}();

GlobalCommon.init();