var ResetPassword = function() {

	var checkInput = function() {
		var passwordValue = document.getElementById('password').value;
		var repetPasswordValue = document.getElementById('repetpassword').value;

		if (passwordValue == null || passwordValue == '') {
			plus.nativeUI.toast("请输入密码");
			return false;
		} else if (passwordValue.length > 50 || passwordValue.length < 6) {
			plus.nativeUI.toast("密码长度为6~50个长度");
			return false;
		} else if (repetPasswordValue == null || repetPasswordValue == '') {
			plus.nativeUI.toast("请重复输入一次密码");
			return false;
		} else if (repetPasswordValue != passwordValue) {
			plus.nativeUI.toast("两次密码不一致");
			return false;
		}
		return true;
	};

	var resetPw = function() {
		var ConfigItem = Config.getConfigItem();
		var ConfigAPI = Config.getConfigAPI();
		var ConfigStorageKey = Config.getConfigStorageKey();

		var newPassword = jQuery("#password").val();
		var oldPassword = jQuery("#oldPassword").val();
		var loginUserId = GlobalCommon.getCurrentUser().userId;

		newPassword = GlobalUtil.paramEncryption(newPassword);
		oldPassword = GlobalUtil.paramEncryption(oldPassword);

		//API Header
		var _ajaxUrl = ConfigItem.SERVER + ConfigAPI.A3501;
		var _headerTime = GlobalCommon.headerTime();
		var _headerSign = GlobalCommon.headerSign(ConfigAPI.A3501, _headerTime);

		console.log(_ajaxUrl);

		jQuery.ajax({
			url: _ajaxUrl,
			type: 'POST',
			headers: {
				"dd-dtime": _headerTime,
				"dd-sign": _headerSign
			},
			data: {
				"loginUserId": loginUserId,
				"oldPassword": oldPassword,
				"password": newPassword
			},
			error: function(e) {
				plus.nativeUI.closeWaiting();
			},
			success: function(data) {
				plus.nativeUI.closeWaiting();
				var d = JSON.parse(data);
				console.log(data);
				var resultCode = d.resultCode;
				var ConfigWinId=Config.getConfigWinId();
				if (resultCode != null && resultCode == ConfigAPI.SUCCESS) {
					plus.nativeUI.toast("操作成功，请重新登录");
					
					plus.storage.removeItem(ConfigStorageKey.LOGINUSER);
					Config.closeAllWindow();
					setTimeout(function() { //重新登陆
						mui.openWindow({
							url: 'login.html',
							id: ConfigWinId.LOGIN
						});
					}, 2000);
				} else {
					plus.nativeUI.toast(d.message);;
				}
			}
		});
	};

	return {
		init: function() {
			// 初始化加载
			Config.init();
		},
		resetPw: function() {
			var flag = checkInput();
			if (flag) {
				var btnArray = ['是', '否'];
				mui.confirm('确定保存？', '', btnArray, function(e) {
					if (e.index == 0) {
						plus.nativeUI.showWaiting();
						resetPw();
					}
				});
			}
		}
	};
}();