var DDSystem = function() {
    var checkInput = function() {
        var accountValue = document.getElementById('account').value;
        var passwordValue = document.getElementById('password').value;
        if(accountValue == null || accountValue == '') {
            plus.nativeUI.toast("请输入手机号");
            return false;
        } else if(accountValue.length != 11) {
            plus.nativeUI.toast("输入有效的手机号");
            return false;
        } else if(passwordValue == null || passwordValue == '') {
            plus.nativeUI.toast("请输入密码");
            return false;
        } else if(passwordValue.length > 20) {
            plus.nativeUI.toast("输入的密码太长");
            return false;
        }
        return true;
    };

    /**
     * 登录
     * @param {Object} accountValue 登录名(加密串)
     * @param {Object} passwordValue 登录名(加密串)
     */
    var login = function(accountValue, passwordValue, auto) {
   	 	var ConfigWinId = Config.getConfigWinId();
        var ConfigItem = Config.getConfigItem();
        var ConfigAPI = Config.getConfigAPI();
        var ConfigStorageKey = Config.getConfigStorageKey();
        var ConfigWinId = Config.getConfigWinId();

        //API Header
        var _ajaxUrl = ConfigItem.SERVER + ConfigAPI.A1000;
        _ajaxUrl += "?account=" + accountValue;
        _ajaxUrl += "&password=" + passwordValue;
        var _headerTime = GlobalCommon.headerTime();
        var _headerSign = GlobalCommon.headerSign(ConfigAPI.A1000, _headerTime);
        console.log("login url:" + _ajaxUrl);
        jQuery.ajax({
            url: _ajaxUrl,
            type: 'GET',
            timeout: 5000,
            headers: {
                "dd-dtime": _headerTime,
                "dd-sign": _headerSign
            },
            error: function(e) {
            		mui.alert(JSON.stringify(e));
            		console.log("error-=======::" + JSON.stringify(e));
            		mui.alert("网络繁忙，请稍后再试");
                //清除当前用户的信息
                GlobalCommon.removeCurrentUser();
                var loginUrl = "./login.html";
                if (auto) {
	                	loginUrl = "views/system/login.html"
                }
                //跳转到登录
                setTimeout(function() {
                    mui.openWindow({
                        url: loginUrl,
                        id: ConfigWinId.LOGIN
                    });
                }, 2000);
            },
            success: function(data) {
                console.log("A1000:" + data);
                plus.nativeUI.closeWaiting();
                var d = JSON.parse(data);
                var resultCode = d.resultCode;
                if(resultCode != null && resultCode == ConfigAPI.SUCCESS) {
                    var loginUserId = d.data.loginUserId;
                    if(loginUserId != null && loginUserId != '') {
                        //是否记住，下次自动登录
                        var isAutologin = document.getElementById("isAutologin");
                        if(isAutologin != null && isAutologin.checked) {
                            plus.storage.setItem(ConfigStorageKey.AUTOLOGIN, 'true');
                            plus.storage.setItem(ConfigStorageKey.LOGIN_USER, accountValue);
                            plus.storage.setItem(ConfigStorageKey.LOGIN_PW, passwordValue);
                        }
                        //加密处理后进行存储
                        GlobalCommon.setCurrentUser(loginUserId);
                        Config.closeAllWindow();
                        var aminUrl = "./main.html";
		                if (auto) {
			                	aminUrl = "views/system/main.html"
		                }
                        //跳转到首页
                        setTimeout(function() {
                            mui.openWindow({
                                url: aminUrl,
                                id: ConfigWinId.MAIN
                            });
                        }, 1000);
                    }
                } else {
                		plus.nativeUI.toast(d.message); 
                    //清除当前用户的信息
                    GlobalCommon.removeCurrentUser();
                    //跳转到登录
                    setTimeout(function() { //跳回首页，重新登陆
                        mui.openWindow({
                            url: './login.html',
                            id: ConfigWinId.LOGIN
                        });
                    }, 2000);
                }
            }
        });
        plus.nativeUI.closeWaiting();
    };

    return {
        login: function() {
            var accountValue = document.getElementById('account').value;
            var passwordValue = document.getElementById('password').value;
            //验证
            if(checkInput()) {
                //加密处理
                passwordValue = GlobalUtil.paramEncryption(passwordValue);
                accountValue = GlobalUtil.paramEncryption(accountValue);
                mui.plusReady(function() {
                    login(accountValue, passwordValue, false);
                });
            }
        },
        autoLogin: function() {
            mui.plusReady(function() {
                var ConfigStorageKey = Config.getConfigStorageKey();
                var accountValue = plus.storage.getItem(ConfigStorageKey.LOGIN_USER);
                var passwordValue = plus.storage.getItem(ConfigStorageKey.LOGIN_PW); //已是加密过后的了
                login(accountValue, passwordValue, true);
            });
        }
    };
}();