/**
 * 接受任务脚本
 */
var AcceptTask = function () {
	var accept_Task = function () {
		document.getElementById("taskDiv").style.display="none";
		plus.nativeUI.showWaiting();
		var ConfigItem = Config.getConfigItem();
		var ConfigAPI = Config.getConfigAPI();
		var ConfigStorageKey = Config.getConfigStorageKey();
		var loginUserId = GlobalCommon.getCurrentUser().userId;
		//API Header
		var _ajaxUrl = ConfigItem.SERVER + ConfigAPI.A6000 + "?loginUserId=" + loginUserId;
		var _headerTime = GlobalCommon.headerTime();
		var _headerSign = GlobalCommon.headerSign(ConfigAPI.A6000, _headerTime);
		console.log(_ajaxUrl);
		jQuery.ajax({
			url: _ajaxUrl,
			type: 'GET',
			timeout: 5000,
			headers: {
				"dd-dtime": _headerTime,
				"dd-sign": _headerSign
			},
			error: function(e) {
				plus.nativeUI.closeWaiting();
				mui.alert("网络繁忙，请稍后再试");
			},
			success: function(data) {
				var d = JSON.parse(data);
				console.log(data);
				var resultCode = d.resultCode;
				if (resultCode != null && resultCode == ConfigAPI.SUCCESS) {
					baseInfoObj = d.data;
					if (baseInfoObj != null) {
						var imgPath = baseInfoObj.taskURI;
						if (imgPath.indexOf(".jpg") > 0 || imgPath.indexOf(".png") > 0) {
							document.getElementById("taskContentImg").style.display="block";
							document.getElementById("taskLink").style.display="none";
							document.getElementById("copyLink").style.display="none";
							document.getElementById("shareLink").style.display="none";
							imgPath = imgPath.toLowerCase();
							document.getElementById("taskContentImg").setAttribute('src', imgPath);
						} else {
							document.getElementById("taskContentImg").style.display="none";
							document.getElementById("taskLink").style.display="block";
							document.getElementById("copyLink").style.display="block";
							document.getElementById("shareLink").style.display="block";
							document.getElementById("taskLink").innerHTML = GlobalUtil.dataNullDeal(imgPath);
						}
						document.getElementById("taskId").value = GlobalUtil.dataNullDeal(baseInfoObj.taskId);
//						document.getElementById("testNum").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.avlidTaskNum);
						document.getElementById("taskName").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.taskName);
						document.getElementById("taskDes").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.taskDes);
						document.getElementById("taskPrice").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.taskPrice);
						document.getElementById("taskEndTime").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.taskEndTime);
						document.getElementById("taskDiv").style.display="block";
					}
				} else {
//					document.getElementById("testNum").innerHTML = "0";
					mui.alert(d.message);
				}
				plus.nativeUI.closeWaiting();
			}
		});
	};
	
	var reflashTask = function () {
		document.getElementById("taskDiv").style.display="none";
		plus.nativeUI.showWaiting();
		var ConfigItem = Config.getConfigItem();
		var ConfigAPI = Config.getConfigAPI();
		var ConfigStorageKey = Config.getConfigStorageKey();
		var loginUserId = GlobalCommon.getCurrentUser().userId;
		var taskId = document.getElementById("taskId").value;
		//API Header
		var _ajaxUrl = ConfigItem.SERVER + ConfigAPI.A6005 + "?loginUserId=" + loginUserId +"&taskId=" + taskId;
		var _headerTime = GlobalCommon.headerTime();
		var _headerSign = GlobalCommon.headerSign(ConfigAPI.A6005, _headerTime);
		console.log(_ajaxUrl);
		jQuery.ajax({
			url: _ajaxUrl,
			type: 'GET',
			timeout: 5000,
			headers: {
				"dd-dtime": _headerTime,
				"dd-sign": _headerSign
			},
			error: function(e) {
				plus.nativeUI.closeWaiting();
				mui.alert("网络繁忙，请稍后再试");
			},
			success: function(data) {
				var d = JSON.parse(data);
				console.log(data);
				var resultCode = d.resultCode;
				if (resultCode != null && resultCode == ConfigAPI.SUCCESS) {
					baseInfoObj = d.data;
					if (baseInfoObj != null) {
						var imgPath = baseInfoObj.taskURI;
						if (imgPath.indexOf(".jpg") > 0 || imgPath.indexOf(".png") > 0) {
							document.getElementById("taskContentImg").style.display="block";
							document.getElementById("taskLink").style.display="none";
							document.getElementById("copyLink").style.display="none";
							document.getElementById("shareLink").style.display="none";
							imgPath = imgPath.toLowerCase();
							document.getElementById("taskContentImg").setAttribute('src', imgPath);
						} else {
							document.getElementById("taskContentImg").style.display="none";
							document.getElementById("taskLink").style.display="block";
							document.getElementById("copyLink").style.display="block";
							document.getElementById("shareLink").style.display="block";
							document.getElementById("taskLink").innerHTML = GlobalUtil.dataNullDeal(imgPath);
						}
						document.getElementById("taskId").value = GlobalUtil.dataNullDeal(baseInfoObj.taskId);
//						document.getElementById("testNum").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.avlidTaskNum);
						document.getElementById("taskName").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.taskName);
						document.getElementById("taskDes").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.taskDes);
						document.getElementById("taskPrice").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.taskPrice);
						document.getElementById("taskEndTime").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.taskEndTime);
						document.getElementById("taskDiv").style.display="block";
					}
				} else {
					mui.alert("没有可接的任务");
				}
				plus.nativeUI.closeWaiting();
			}
		});
	};
	
	return {
		init: function() {
			// 初始化加载
			Config.init();
			accept_Task();
		},
		accept_Task: function() {
			accept_Task();
		},
		reflashTask: function () {
			reflashTask();
		}
	};
}();


