/**
 * 提交任务脚本
 */
var SubmitTask = function () {
	
	var findCurrentTask = function() {
		document.getElementById("taskContent").style.display="none";
		plus.nativeUI.showWaiting();
		var ConfigItem = Config.getConfigItem();
		var ConfigAPI = Config.getConfigAPI();
		var ConfigStorageKey = Config.getConfigStorageKey();
	
		var loginUserId = GlobalCommon.getCurrentUser().userId;
		var taskId = "";
		
		//API Header
		var _ajaxUrl = ConfigItem.SERVER + ConfigAPI.A6003 + "?loginUserId=" + loginUserId;
		var _headerTime = GlobalCommon.headerTime();
		var _headerSign = GlobalCommon.headerSign(ConfigAPI.A6003, _headerTime);
		console.log("ConfigAPI.A6003" + _ajaxUrl);
		jQuery.ajax({
			url: _ajaxUrl,
			type: 'GET',
			timeout: 5000,
			headers: {
				"dd-dtime": _headerTime,
				"dd-sign": _headerSign
			},
			error: function(e) {
				plus.nativeUI.closeWaiting();
				mui.alert("网络繁忙，请稍后再试");
			},
			success: function(data) {
				var d = JSON.parse(data);
				console.log(data);
				var resultCode = d.resultCode;
				if (resultCode != null && resultCode == ConfigAPI.SUCCESS) {
					baseInfoObj = d.data;
					if (baseInfoObj != null && baseInfoObj) {
						document.getElementById("taskContent").style.display="block";
						document.getElementById("taskId").value = GlobalUtil.dataNullDeal(baseInfoObj.taskId);
						document.getElementById("currentTaskTitle").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.taskName);
					}
				}
				plus.nativeUI.closeWaiting();
			}
		});	
	};
	
	var submitTask = function() {
		var imagesPath = document.getElementById("uploadImagesPath").value;
		if (imagesPath == null || imagesPath == "") {
			mui.alert("请上传任务截图");
			return;
		}
		var ConfigItem = Config.getConfigItem();
		var ConfigAPI = Config.getConfigAPI();
		var ConfigStorageKey = Config.getConfigStorageKey();
	
		var loginUserId = GlobalCommon.getCurrentUser().userId;
		var taskId = document.getElementById("taskId").value;
		taskId = GlobalUtil.paramEncryption(taskId);
		//API Header
		var _ajaxUrl = ConfigItem.SERVER + ConfigAPI.A6001 + "?loginUserId=" + loginUserId;
		_ajaxUrl += "&taskId=" + taskId;
		_ajaxUrl += "&imgsPath=" + imagesPath;
		var _headerTime = GlobalCommon.headerTime();
		var _headerSign = GlobalCommon.headerSign(ConfigAPI.A6001, _headerTime);
		console.log(_ajaxUrl);
		jQuery.ajax({
			url: _ajaxUrl,
			type: 'GET',
			headers: {
				"dd-dtime": _headerTime,
				"dd-sign": _headerSign
			},
			error: function(e) {
				mui.alert("网络繁忙，请稍后再试");
			},
			success: function(data) {
				var d = JSON.parse(data);
				console.log(data);
				var resultCode = d.resultCode;
				if (resultCode != null && resultCode == ConfigAPI.SUCCESS) {
					document.getElementById("taskContent").style.display="none";
					document.getElementById("taskImg").style.display="none";
					document.getElementById("uploadImageDiv").innerHTML = "";
					document.getElementById("uploadImagesPath").value = "";
					mui.alert('提交成功，再接再厉');
				} else {
					mui.alert('提交失败，请稍后再试');
				}
			}
		});		
	};
	
	var giveupTask = function() {
		puls.nativeUI.showWaiting();
		var ConfigItem = Config.getConfigItem();
		var ConfigAPI = Config.getConfigAPI();
		var ConfigStorageKey = Config.getConfigStorageKey();
	
		var loginUserId = GlobalCommon.getCurrentUser().userId;
		var taskId = document.getElementById("taskId").value;
		taskId = GlobalUtil.paramEncryption(taskId);
		//API Header
		var _ajaxUrl = ConfigItem.SERVER + ConfigAPI.A6004 + "?loginUserId=" + loginUserId;
		_ajaxUrl += "&taskId=" + taskId;
		var _headerTime = GlobalCommon.headerTime();
		var _headerSign = GlobalCommon.headerSign(ConfigAPI.A6004, _headerTime);
		console.log(_ajaxUrl);
		jQuery.ajax({
			url: _ajaxUrl,
			type: 'GET',
			headers: {
				"dd-dtime": _headerTime,
				"dd-sign": _headerSign
			},
			error: function(e) {
				plus.nativeUI.closeWaiting();
				mui.alert("网络繁忙，请稍后再试");
			},
			success: function(data) {
				var d = JSON.parse(data);
				console.log(data);
				var resultCode = d.resultCode;
				if (resultCode != null && resultCode == ConfigAPI.SUCCESS) {
					document.getElementById("taskContent").style.display="none";
					plus.nativeUI.toast("任务已经放弃"); 
				}
				plus.nativeUI.closeWaiting();
			}
		});	
	};
	
	return {
		init: function() {
			// 初始化加载
			Config.init();
			findCurrentTask();
		},
		submitTask: function() {
			submitTask();
		},
		findCurrentTask: function() {
			findCurrentTask();
		},
		giveupTask: function() {
			giveupTask();
		}
	};
}();
