var UserInfo = function() {

	/**
	 * 加载项目基本信息
	 * @param {Object} projectId 加密后数据
	 */
	var loadBaseInfo = function(isMenu) {
		plus.nativeUI.showWaiting();
		var baseInfoObj = null;
		var ConfigItem = Config.getConfigItem();
		var ConfigAPI = Config.getConfigAPI();
		var ConfigStorageKey = Config.getConfigStorageKey();

		var loginUserId = GlobalCommon.getCurrentUser().userId;

		//API Header
		var _ajaxUrl = ConfigItem.SERVER + ConfigAPI.A3000 + "?loginUserId=" + loginUserId;
		var _headerTime = GlobalCommon.headerTime();
		var _headerSign = GlobalCommon.headerSign(ConfigAPI.A3000, _headerTime);
		console.log(_ajaxUrl);
		jQuery.ajax({
			url: _ajaxUrl,
			type: 'GET',
			headers: {
				"dd-dtime": _headerTime,
				"dd-sign": _headerSign
			},
			error: function(e) {
				plus.nativeUI.closeWaiting();
			},
			success: function(data) {
				var d = JSON.parse(data);
				console.log(data);
				var resultCode = d.resultCode;
				if (resultCode != null && resultCode == ConfigAPI.SUCCESS) {
					baseInfoObj = d.data;
				} else {
					baseInfoObj = null;
				}
				if (baseInfoObj != null) {
					document.getElementById("userName").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.account);
					document.getElementById("yue").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.yue);
					if (isMenu) {
						document.getElementById("gongzonghao").value = GlobalUtil.dataNullDeal(baseInfoObj.gongzonghao);
						document.getElementById("yilingjine").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.yilingjine);
						document.getElementById("yiwancheng").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.yiwancheng);
						document.getElementById("weiwancheng").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.weiwancheng);
						document.getElementById("huoban").innerHTML = GlobalUtil.dataNullDeal(baseInfoObj.huoban);
						document.getElementById("contack").value = "http://m.weixiao007.com/Account/Register/" + GlobalUtil.dataNullDeal(baseInfoObj.userId);
					}
				}
				plus.nativeUI.closeWaiting();
			}
		});
	};

	return {
		init: function() {
			// 初始化加载
			Config.init();
		},
		loadBaseInfo: function(isMenu) {
			loadBaseInfo(isMenu);
		}
	};
}();